# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::MD5CheckSum Class Reference

Computes the MD5 of a given buffer or VirtualFile. More...

`#include <MD5CheckSum.hpp>`

List of all members.

## Public Member Functions

| MD5CheckSum ()
virtual const char * | className ()
const unsigned char * | md5 () const
std::string | toStdString () const
void | compute (void *buffer, int len)
void | compute (VirtualFile *file)
bool | operator== (const MD5CheckSum &other) const
bool | operator!= (const MD5CheckSum &other) const
bool | operator< (const MD5CheckSum &other) const

## Protected Attributes

unsigned char | mMD5 [16]

## Detailed Description

Computes the MD5 of a given buffer or VirtualFile.

Definition at line 46 of file MD5CheckSum.hpp.

## Constructor & Destructor Documentation

vl::MD5CheckSum::MD5CheckSum | ( | ) | `[inline]`

Definition at line 49 of file MD5CheckSum.hpp.

## Member Function Documentation

virtual const char* vl::MD5CheckSum::className | ( | ) | `[inline, virtual]`

Definition at line 54 of file MD5CheckSum.hpp.

const unsigned char* vl::MD5CheckSum::md5 | ( | ) | const`[inline]`

Definition at line 56 of file MD5CheckSum.hpp.

std::string MD5CheckSum::toStdString | ( | ) | const

Definition at line 41 of file MD5CheckSum.cpp.

References mMD5.

void MD5CheckSum::compute | ( | void * | buffer,
|  | int | len
| ) |  |

Definition at line 50 of file MD5CheckSum.cpp.

References mMD5.

Referenced by vl::VirtualFile::md5().

void MD5CheckSum::compute | ( | VirtualFile * | file ) |

Definition at line 58 of file MD5CheckSum.cpp.

References mMD5, and vl::VirtualFile::read().

bool vl::MD5CheckSum::operator== | ( | const MD5CheckSum & | other ) | const`[inline]`

Definition at line 64 of file MD5CheckSum.hpp.

References mMD5.

bool vl::MD5CheckSum::operator!= | ( | const MD5CheckSum & | other ) | const`[inline]`

Definition at line 66 of file MD5CheckSum.hpp.

References mMD5.

bool vl::MD5CheckSum::operator< | ( | const MD5CheckSum & | other ) | const`[inline]`

Definition at line 68 of file MD5CheckSum.hpp.

References mMD5.

## Member Data Documentation

unsigned char vl::MD5CheckSum::mMD5[16]`[protected]`

Definition at line 71 of file MD5CheckSum.hpp.

Referenced by compute(), operator!=(), operator<(), operator==(), and toStdString().

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/MD5CheckSum.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/MD5CheckSum.cpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:33.
Permission is granted to use this page to write and publish articles regarding Visualization Library.